/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#include <htc.h>           /* Global Header File */
#include <stdint.h>        /* For uint8_t definition */
#include <stdbool.h>       /* For true/false definition */
#include <stdlib.h>

#include "system.h"        /* System funct/params, like osc/peripheral config */
#include "user.h"          /* User funct/params, such as InitApp */

/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/




unsigned char DATA_BUFFER[6];
unsigned char DATA_OUT[2];
unsigned int DATA_INDEX = 0;
unsigned int AUDIO_FLAG = 0;
unsigned char DMX_FLAG = 0;
unsigned char TIMER1_STATE;
unsigned char _R;
unsigned char _G;
unsigned char _B;
signed int TEMPERATURE;
unsigned int REFERENCE;

unsigned char ADDRESS;
unsigned char BREAK;
unsigned char PORT_STATE;


/******************************************************************************/
/* Main Program                                                               */

/******************************************************************************/

uint8_t main(void)
{


	/* Configure the oscillator for the device */
	ConfigureOscillator();

	/* Initialize I/O and Peripherals for application */
	InitApp();



	if (!DMX_EN_PORT) {
		// Enable MOD-RS485-ISO Receive
		int i;
		for (i = 0; i < 3; i++) {
			StartI2C();
			Delay(10);
			I2CSendByte(0x22 << 1);
			Delay(10);
			I2CSendByte(0x30);
			Delay(10);
			I2CSendByte(0x03);
			Delay(10);
			StopI2C();
			Delay(255);
		}
		StartDMX();

	}

	AUDIO_FLAG = 1;
	StartPWM();
	while (1) {
		Fade();
	}

	return 0;
}

